## Class Apache_Solr_HttpTransport_CurlNoReuse

Description

An alternative Curl HTTP transport that opens and closes a curl session for every request. This isn't the recommended way to use curl, but some version of PHP have memory issues.

Located in /HttpTransport/CurlNoReuse.php (line 47)

    Apache_Solr_HttpTransport_Abstract
       |
       --Apache_Solr_HttpTransport_CurlNoReuse

Class Constant Summary
SVN_ID = '$Id:$'
SVN_REVISION = '$Revision:$'
Method Summary
void performGetRequest ( $url, [ $timeout = false])
void performHeadRequest ( $url, [ $timeout = false])
void performPostRequest ( $url, $postData, $contentType, [ $timeout = false])
Methods
performGetRequest (line 59)

- access: public

void performGetRequest ( $url, [ $timeout = false])

- $url
- $timeout

performHeadRequest (line 101)

- access: public

void performHeadRequest ( $url, [ $timeout = false])

- $url
- $timeout

performPostRequest (line 146)

- access: public

void performPostRequest ( $url, $postData, $contentType, [ $timeout = false])

- $url
- $postData
- $contentType
- $timeout

#### Inherited Methods

Inherited From Apache_Solr_HttpTransport_Abstract

> Apache_Solr_HttpTransport_Abstract::getDefaultTimeout()
> Apache_Solr_HttpTransport_Abstract::setDefaultTimeout()

Class Constants
SVN_ID = '$Id:$' (line 57)

SVN ID meta data for this class

SVN_REVISION = '$Revision:$' (line 52)

SVN Revision meta data for this class

Documentation generated on Wed, 04 May 2011 11:01:13 -0400 by phpDocumentor 1.4.3